Get media asset registration status

Prev Next

Available in VPC

Get the status of a media asset registered in a project.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET /api/v1/workspaces/{workspace_name}/projects/{project_id}/assets/{asset_id}/import-status

Request headers

For information about the headers common to all Media Intelligence APIs, see Media Intelligence request headers.

Request path parameters

The following describes the parameters.

Field Type Required Description
workspace_name String Required Workspace name
project_id String Required Project ID
asset_id String Required Media asset ID

Request example

The request example is as follows:

curl --location --request GET 'https://mi.apigw.ntruss.com/api/v1/workspaces/my-workspace/projects/1234/assets/5678/import-status' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json'

Response

This section describes the response format.

Response body

The response body includes the following data:

Field Type Required Description
code String Required API processing result code
message String Required API processing result message
result Object Required Media asset registration status information
result.assetId Integer Required Media asset ID
result.uploadStatus String Required Asset upload status
  • IN_PROGRESS | COMPLETED | FAILED | FILE_NOT_EXIST | INVALID_METADATA
    • IN_PROGRESS: Upload in progress
    • COMPLETED: Upload completed
    • FAILED: Upload failed
    • FILE_NOT_EXIST: No file
    • INVALID_METADATA: Invalid file
result.uploadResult String Optional Message mapped to asset upload status
  • IN_PROGRESS: Upload in progress
  • COMPLETED: Upload completed
  • FAILED: Upload failed
  • FILE_NOT_EXIST: No file
  • INVALID_METADATA:
    • Unsupported resolution (supported resolutions: 360p to 1080p)
    • Unsupported video length (up to 6 hours)
    • Unsupported file format (supported resolutions: 360p to 1080p, up to 6 hours)
result.metaData Object Optional Metadata details
result.metaData.resolution String Optional Resolution
  • Example: 1920x1080
result.metaData.durationMs Integer Optional Video length (millisecond)
result.metaData.size Integer Optional Asset file size (byte)
result.metaData.format String Optional File format
  • mp4 | mkv | mov | webm | png |jpg | heic

Response status codes

For information about the HTTP status codes common to all Media Intelligence APIs, see Media Intelligence response status codes.

Response example

The response example is as follows:

{
    "code": "0",
    "message": "success",
    "result": {
        "assetId": 5678,
        "uploadStatus": "COMPLETED",
        "uploadResult": "Video copy completed",
        "metaData": {
            "resolution": "1920x1080",
            "durationMs": 253702,
            "size": 120333399,
            "format": "mp4"
        }
    }
}